package cz.moneta.test.harness.endpoints.jira;

import java.util.HashMap;

public class JiraTestResult {

    private String projectKey;
    private String testCaseKey;
    private String status;
    private String environment;
    private String comment;
    private String executedBy;
    private String version;
    private HashMap<String, String> customFields = new HashMap<>();

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    public String getEnvironment() {
        return environment;
    }

    public void setEnvironment(String environment) {
        this.environment = environment;
    }

    public String getProjectKey() {
        return projectKey;
    }

    public void setProjectKey(String projectKey) {
        this.projectKey = projectKey;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getTestCaseKey() {
        return testCaseKey;
    }

    public void setTestCaseKey(String testCaseKey) {
        this.testCaseKey = testCaseKey;
    }

    public String getExecutedBy() {
        return executedBy;
    }

    public void setExecutedBy(String executedBy) {this.executedBy = executedBy;}

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {this.version = version;}

    public HashMap<String, String> getCustomFields() {
        return customFields;
    }

    public void setCustomFields(HashMap customFields) {
        this.customFields = customFields;
    }

    public void setFieldInCustomFields(String name, String value) {
        customFields.put(name, value);
    }
}
